Index: SPECS/gettext.spec
===================================================================
--- SPECS.orig/gettext.spec
+++ SPECS/gettext.spec
@@ -4,7 +4,7 @@
 Summary: GNU libraries and utilities for producing multi-lingual messages
 Name: gettext
 Version: 0.16.1
-Release: 8%{?dist}
+Release: 8.fa1%{?dist}
 License: GPL/LGPL
 Group: Development/Tools
 Source: ftp://ftp.gnu.org/gnu/gettext/%{name}-%{version}.tar.gz
@@ -16,9 +16,9 @@ Requires(preun): /sbin/install-info
 %ifarch x86_64 ppc64 s390x
 BuildRequires: automake >= 1.8, autoconf >= 2.5
 %endif
-BuildRequires: libtool, bison, gcc-c++, gcc-java, libgcj
+BuildRequires: libtool, bison, gcc-c++
 %if %{buildjar}
-BuildRequires: %{_bindir}/fastjar
+BuildRequires: gcc-java, libgcj, %{_bindir}/fastjar
 # require zip and unzip for brp-java-repack-jars
 BuildRequires: zip, unzip
 %endif
@@ -67,8 +67,8 @@ want to add gettext support for your pro
 %build
 [ -f  %{_datadir}/automake/depcomp ] && cp -f %{_datadir}/automake/{depcomp,ylwrap} .
 
-export JAVAC=gcj
 %if %{buildjar}
+export JAVAC=gcj
 export JAR=fastjar
 %endif
 %configure --without-included-gettext --enable-nls --disable-static \
@@ -101,7 +101,9 @@ install -m 644 %{SOURCE1} ${RPM_BUILD_RO
 for i in gettext-runtime/man/*.html; do
   rm ${RPM_BUILD_ROOT}%{_datadir}/doc/gettext/`basename $i`
 done
+%if %{buildjar}
 rm -r ${RPM_BUILD_ROOT}%{_datadir}/doc/gettext/javadoc*
+%endif
 
 rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/gettext/examples
 
@@ -190,8 +192,8 @@ fi
 %exclude %{_mandir}/man1/gettextize.1.gz
 %exclude %{_mandir}/man1/autopoint.1.gz
 %{_libdir}/%{name}
-%exclude %{_libdir}/%{name}/gnu.gettext.*
 %if %{buildjar}
+%exclude %{_libdir}/%{name}/gnu.gettext.*
 %{_datadir}/%{name}/libintl.jar
 %endif
 
@@ -222,8 +224,10 @@ fi
 %{_mandir}/man1/autopoint.1.gz
 %{_mandir}/man3/*
 %{_datadir}/%{name}/javaversion.class
+%if %{buildjar}
 %doc gettext-runtime/intl-java/javadoc*
 %{_libdir}/%{name}/gnu.gettext.*
+%endif
 
 
 %changelog
